## ruby-rspec 3.9.0c2e2m1s3

=== debian/changelog ===
ruby-rspec (3.9.0c2e2m1s3-2) unstable; urgency=medium

  * debian/rules: force an UTF-8 locale during the build (Closes: #981850)

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 14 Feb 2021 13:52:45 -0300

ruby-rspec (3.9.0c2e2m1s3-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Antonio Terceiro ]
  * New upstream version 3.9.0c2e2m1s3
  * Add patches to fix tests against diff-lcs 1.4.4 (Closes: #967015, #968629)

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 24 Sep 2020 18:11:04 -0300
