## ruby-rspec 3.10.0c1e1m2s3

=== debian/changelog ===
ruby-rspec (3.10.0c1e1m2s3-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.10.0c1e1m2s3
  * Refresh patches; drop patches applied upstream:
    - 0002-rspec-support-fix-tests-against-diff-lcs-1.4.4.patch
    - 0003-rspec-expectations-fix-tests-against-diff-cs-1.4.4.patch
    - 0004-rspec-mocks-fix-tests-against-diff-lcs-1.4.4.patch
  * Bump Standards-Version to 4.6.0; no changes needed

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 15 Nov 2021 08:49:59 -0300
