=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                ruby-nokogiri,
                ruby-rr,
                ruby-thread-order
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-rspec.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-rspec
 Homepage: https://rspec.info/
