## ruby-rspec 3.12.0c0e1m1s0

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Cédric Boutillier <boutil@debian.org>
 Build-Depends: coderay,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                gem2deb (>= 1),
                git,
                ruby-aruba,
@@ -18,7 +18,7 @@
                ruby-nokogiri,
                ruby-rr,
                ruby-thread-order
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-rspec.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-rspec
 Homepage: https://rspec.info/
