=== debian/rules ===
--- 
+++ 
@@ -54,7 +54,7 @@
 	#git submodule init
 	#git submodule update --checkout
 	wget -O../ruby-rspec_$(DEB_VERSION_UPSTREAM).orig-rspec.tar.gz \
-		https://github.com/rspec/rspec/archive/v$(RSPEC_VERSION).tar.gz
+		https://github.com/rspec/rspec-metagem/archive/v$(RSPEC_VERSION).tar.gz
 	#cd rspec && git fetch origin && git checkout v$(RSPEC_VERSION)
 	wget -O../ruby-rspec_$(DEB_VERSION_UPSTREAM).orig-rspec-core.tar.gz \
 		https://github.com/rspec/rspec-core/archive/v$(RSPEC_CORE_VERSION).tar.gz
